######################################
###IfD's Neuro Script - 300 Seconds###
######################################



# set counter values

	var int neuro_counter;

	var int vat_counter;

####################
###MISSION START!###
####################

func void level_start(void)
{
	vat_counter = 2
	neuro_counter = 3

	door_lock 37
	door_lock 15
	door_lock 18

#################
###SAVE POINTS###
#################

	if (save_point eq 0)
	{
		chr_teleport 0 222

		sleep 120

		mission_objective

		sleep 120

		TCTFThug
	}

	if (save_point eq 1)
	{	
		chr_teleport 0 222

		message_1

		sleep 120

		Block_1

		sleep 60

		AlertLevels
		AlarmPaths
		JobPaths
		TCTFThug
	}

	if (save_point eq 2)
	{
		chr_teleport 0 222

		sleep 120

		message_2

		sleep 120

		Block_1

		sleep 180

		Block_2

		sleep 60

		AlertLevels
		AlarmPaths
		JobPaths
		TCTFThug
	}

	if (save_point eq 3)
	{
		chr_teleport 0 222

		sleep 120

		message_3

		sleep 120

		Block_1

		sleep 180

		Block_2

		sleep 180

		Block_3

		sleep 60

		AlertLevels
		AlarmPaths
		JobPaths
		TCTFThug
	}

	if (save_point eq 4)
	{
		chr_teleport 0 222

		sleep 120

		message_4

		sleep 120

		Block_1

		sleep 180

		Block_2

		sleep 180

		Block_3

		sleep 180

		Block_4

		sleep 60

		AlertLevels
		AlarmPaths
		JobPaths
		TCTFThug
	}

}

#######################
###ESCAPING THE VATS###
#######################

func void mission_objective (void) 
{
	sleep 300

	dmsg "[b. After escaping the Science Prison,]"
	dmsg "[b. you realise you forgot your wallet]"
	dmsg "[b. in the foyer. It has all of your.]"
	dmsg "[b. fake credits cards, ID's, and such.]"

	sleep 180

	dmsg "[b. Your only objective is to recover]"
	dmsg "[b. your wallet whilst the facility is]"
	dmsg "[b. empty, and escape before you are]"
	dmsg "[b. discovered.]"

	sleep 180

	dmsg "[b. However, there is a catch. The]"
	dmsg "[b. doors ahead are locked and]"
	dmsg "[b. secured, as well as monitored.]"

	sleep 180

	dmsg "[b. Your presence won't stay hidden]"
	dmsg "[b. for long in here, so you must act now.]"

	sleep 300

	dmsg "[r. As soon as you unlock the door ahead,]"
	dmsg "[r. you will have 5 minutes to recover]"
	dmsg "[r. your wallet before security get to it]"
	dmsg "[r. and flush out your fake identities.]"

}

func void message_1 (void) 
{
	sleep 300

	dmsg "[r. This is the same mission as before.]"
	dmsg "[r. You have 5 minutes to recover your]"
	dmsg "[r. wallet. However, there are a few enemies]"
	dmsg "[r. in your way this time.]"
	
}

func void message_2 (void) 
{
	sleep 300

	dmsg "[r. You should know the drill by now.]"
	dmsg "[r. You have 5 minutes to recover your]"
	dmsg "[r. wallet. This time, there are more enemies.]"
	dmsg "[r. But it's not that bad, right?]"
	
}

func void message_3 (void) 
{
	sleep 300

	dmsg "[r. Now you're entering 'Intense' mode.]"
	dmsg "[r. There are a large number of enemies in]"
	dmsg "[r. this level, with a large number of weapons]"
	dmsg "[r. too. Seriously, good luck! You'll need it.]"
	
}

func void message_4 (void) 
{
	sleep 300

	dmsg "[r. Ohh boy... aren't you in for it :P .]"
	dmsg "[r. I bet you couldn't it through here ]"
	dmsg "[r. without the auto-win cheat or something.]"
	dmsg "[r. Brace yourself... This is truly insane...]"
	
}

func void vat_escape(string ai_name)
{
	
	if(vat_counter eq 0)
	{
		chr_givepowerup 0 hypo 1
	}

}

func void FTS(string ai_name)
{
	vat_counter = vat_counter - 1
	chr_givepowerup 0 hypo 1
}

func void final_check_for_crane(string ai_name)
{
	door_unlock 37
	door_unlock 36
	door_unlock 54
	particle lock7_locklight02 do start
	particle lock8_locklight02 do start
	dmsg "[r. Now find your wallet!]"
	dmsg "[r. You don't have much time!]"
	timer_start 300 vat1b
	sound_music_start mus_xtr1 1.5	
}

##############
###CONSOLES###
##############

func void Unlock_Door_7 (void)
{
	chr_givepowerup 0 hypo 1
}	

func void level_14b(void)
{
	door_unlock 1
	input 0
	cm_interpolate lock6 0

	sleep 60

	particle lock6_locklight02 do start

	sleep 150

	cm_reset
	input 1
}

func void Lab_Console_1(string ai_name)
{
	dprint LabConsole1

	particle lock4_locklight02 do stop
	door_lock 58

	neuro_counter = neuro_counter - 1

	input 0
	cm_interpolate lock5 0

	sleep 60

	particle lock5a_locklight01 do start

	sleep 90

	cm_reset
	input 1

	if (neuro_counter eq 0)
	{
		Lab_Console_All_Counters();
	}
}

func void Lab_Console_2(string ai_name)
{
	dprint LabConsole2

	particle lock4_locklight02 do stop
	door_lock 58

	neuro_counter = neuro_counter - 1

	input 0
	cm_interpolate lock5 0

	sleep 60

	particle lock5b_locklight01 do start

	sleep 90

	cm_reset
	input 1

	if (neuro_counter eq 0)
	{
		Lab_Console_All_Counters();
	}
}

func void Lab_Console_3(string ai_name)
{
	dprint LabConsole3

	particle lock4_locklight02 do stop
	door_lock 58

	neuro_counter = neuro_counter - 1

	input 0
	cm_interpolate lock5 0

	sleep 60

	particle lock5c_locklight01 do start

	sleep 90

	cm_reset

	input 1

	if (neuro_counter eq 0)
	{
		Lab_Console_All_Counters();
	}
}

func void Lab_Console_All_Counters(void)
{
	dprint PROBE_ROOM_OPEN
	door_unlock 6
	door_unlock 7

}

func void Lab_Unlock_Door_5(string ai_name)
{
	dprint Probe_Room_Unlock_Doors
	door_unlock 58
	console_activate 13
	
	input 0
	cm_interpolate lock4 0

	sleep 60

	particle lock4_locklight02 do start

	sleep 90

	cm_reset
	input 1
}

func void Kerr_Console(string ai_name)
{
	dprint Kerr_Console

	door_unlock 28

	input 0
	cm_interpolate lock2 0

	sleep 30

	particle alarm2_emlight01 do stop

	sleep 30

	particle lock2_locklight01 do start

	sleep 90

	cm_reset
	input 1

	console_reset 13
}

func void Pod2_UnlockDoors(string ai_name)
{
	dprint Pod2UnlockDoors
	door_unlock 21

	input 0
	cm_interpolate lock1 0

	sleep 30

	particle alarm1_emlight01 do stop

	sleep 30

	particle lock1_locklight01 do start

	sleep 90

	cm_reset
	input 1

	console_reset 10
}

func void Pod1_UnlockDoors(string ai_name)
{
	dprint Pod1UnlockDoors

	door_unlock 14
	door_unlock 11
	particle lock99_locklight02 do start
	console_reset 1	
}

func void level_14a (void)
{
	chr_givepowerup 0 hypo 1
	door_open 9
	door_jam 9
	trig_activate 1
	particle lock100_locklight01 do start	
}	

#########################
###FINDING YOUR WALLET###
#########################

func void TCTFThug (void)
{
	ai2_spawn IntroTCTF01
	chr_givepowerup IntroTCTF01 w1_tap
	chr_givepowerup IntroTCTF01 ammo 3	

	chr_wait_health IntroTCTF01 0

	sleep 5

	ai2_allpassive 1
	timer_stop
	TCTFDeath
}

func void TCTFDeath (void)
{
	ai2_takecontrol 1
	cinematic_start (KONdeepthought, 180, 180, 19, 7, 20, false)
	sleep 180
	chr_animate 0 KONOKOwatch_start 60
	dmsg "[KONOKO: Here it is...]"
	sleep 120
	chr_animate 0 KONOKOwatch_start 60
	dmsg "[KONOKO:And everythings still there.]"
	sleep 60
	cinematic_stop (KONdeepthought, 180, 180, 19, 7, 20, false)
	chr_animate 0 KONOKOwatch_stop
	sleep 120
	cinematic_start (KONintense, 180, 180, 19, 7, 20, false)
	dmsg "[KONOKO: And now to make Griffin pay...]"
	sleep 140
	fade_out 0 0 0 90
	sleep 90
	win
}

######################
###ACID DEATH; LOSS###
######################

func void Acid01(string char)
{
  var bool eggman;

  eggman = chr_is_player(char);

  if (eggman eq 0)
  {
    chr_animate(char, KONOKOacid);
    sleep 10
    chr_set_health(char, 0);
  }

  if (eggman eq 1)
  {
	chr_animate(char, KONOKOacid);
	trigvolume_enable LastVat 0
	cm_interpolate AcidCam01 500
	sleep 5
	input 0
	invincible=1
	sleep 525
	chr_animate(char, KONOKOlev14_grinder);
	chr_envanim(char, GrinderKonBox01, norotation);
	sleep f60
	sound_ambient_start c13_47_11_bonecrunch
	sleep f10
	sound_impulse_play konoko_gruesome_death
	sleep f75
	chr_set_health(char, 0);
  }
}

func void Acid02(string char)
{
  var bool eggman;

  eggman = chr_is_player(char);

  if (eggman eq 0)
  {
    chr_animate(char, KONOKOacid);
    sleep f10
    chr_set_health(char, 0);
  }

  if (eggman eq 1)
  {
	chr_animate(char, KONOKOacid);
	input 0
	trigvolume_enable LastVat 0
	cm_interpolate AcidCam01 400
	sleep f5
	invincible=1
	sleep f430
	chr_animate(char, KONOKOlev14_grinder);
	chr_envanim(char, GrinderKonBox01, norotation);
	sleep f60
	sound_ambient_start c13_47_11_bonecrunch
	sleep f10
	sound_impulse_play konoko_gruesome_death
	sleep f75
	chr_set_health(char, 0);
  }
}

func void Acid03(string char)
{
  var bool eggman;

  eggman = chr_is_player(char);

  if (eggman eq 0)
  {
    chr_animate(char, KONOKOacid);
    sleep f10
    chr_set_health(char, 0);
  }

  if (eggman eq 1)
  {
	input 0
	trigvolume_enable LastVat 0
	chr_animate(char, KONOKOacid);
	cm_interpolate AcidCam01 200
	sleep f5
	invincible=1
	sleep 230
	chr_animate(char, KONOKOlev14_grinder);
	chr_envanim(char, GrinderKonBox01, norotation);
	sleep f60
	sound_ambient_start c13_47_11_bonecrunch
	sleep f10
	sound_impulse_play konoko_gruesome_death
	sleep f75
	chr_set_health(char, 0);
  }
}

func void acid04(string char)
{
  var bool eggman;

  eggman = chr_is_player(char);

  if (eggman eq 0)
  {
    chr_animate(char, KONOKOacid);
    sleep f10
    chr_set_health(char, 0);
  }

  if (eggman eq 1)
  {
	cm_detach
	input 0
	trigvolume_enable LastVat 0
	chr_animate(char, KONOKOacid);
	sleep f5
	invincible=1
	sleep 40
	cm_interpolate GrinderCamEnd 0
	sleep f10
	chr_animate(char, KONOKOlev14_grinderend);
	chr_envanim(char, EndGrinderKonBox01, norotation);
	sleep f60
	sound_ambient_start c13_47_11_bonecrunch
	sleep f10
	sound_impulse_play konoko_gruesome_death
	sleep f75
	chr_set_health(char, 0);
  }
}

func void vat1b (void) {

	dmsg "[r. Oh no, time's up!]"
	dmsg "[r. Looks like you'll need to try again...]"
	you_lose
}

func void you_lose(string ai_name)
{
	sleep 240
	fade_out 0 0 0 180 
	sleep 240
	lose
}